<template>
  <footer class="footer">
    <div class="footer__content">
      <div class="footer__info">
        <img
          src="https://media-exp1.licdn.com/dms/image/C4D03AQHhwdAYTVemuA/profile-displayphoto-shrink_800_800/0/1646912294958?e=1655337600&v=beta&t=9jXiHpqIDul34yc0wzvatSL-zmRJoVTMyc3XpZI-FQQ"
          class="footer__photo"
          alt="photo"
        />
        <span class="footer__name text-secondary">Michael Shcherban</span>
      </div>

      <div class="footer__links">
        <a
          class="text-primary"
          target="_blank"
          href="https://www.linkedin.com/in/mihail-shcherban-4269891a2/"
        >
          Linkedin
        </a>
        <a
          class="text-primary"
          target="_blank"
          href="https://gitlab.com/mihail.sherbank/search-by-packages"
        >
          Repo
        </a>
      </div>
    </div>
  </footer>
</template>

<script>
export default {
  name: "FooterComponent",
};
</script>

<style scoped lang="scss">
.footer {
  background: rgb(73 127 231 / 8%);
  border-top: 1px solid #000;
  padding: 0 20px;
  height: 120px;
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  box-sizing: border-box;

  &__content {
    width: 100%;
    max-width: 1000px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 20px;
    height: 100%;
  }

  &__photo {
    width: 100px;
    height: auto;
    border-radius: 50%;
    margin-right: 10px;
    margin-bottom: 0;

    @media only screen and (max-width: "550px") {
      margin-right: 0;
      margin-bottom: 10px;
      width: 50px;
    }
  }

  &__info {
    display: flex;
    align-items: center;

    @media only screen and (max-width: "550px") {
      flex-direction: column;
    }
  }

  &__links {
    display: flex;
    flex-direction: column;
    justify-content: center;

    a {
      text-decoration: none;

      &:hover {
        text-decoration: underline;
      }

      &:not(:last-child) {
        margin-bottom: 10px;
      }
    }
  }
}
</style>
